2013年9月19日

Apple 讓你下載舊版 app

無標題
▲ 原本搞丟的 FlipTime 2.0 又可以重新下載了

蘋果現在開放了一個新的功能,就是讓安裝舊系統 iOS 的人可以下載到相容性的應用程式,不會再因為應用程式更新後無法透過線上商店更新而吃閉門羹的窘境。

你只需要做的,就是重新拿出你的舊裝置,重新安裝你之前無法安裝的軟體,你就會看到新的通知訊息告訴你可以下載舊版軟體,不過第一次下載會要求你同意他們的新規則。

這邊注意,下載舊版軟體的限制就是:「配合你目前的系統下載到最新相容版本」,而非你可以下載到任何一個舊版本。

為什麼會需要下載舊版軟體

理由其實也很悲哀,就是老硬體支援不了新系統,而新的軟體又不相容老系統。

我手頭上有一台 iPod Touch 第二代,上面裝載的作業系統就是 iOS 4.2.1,而普遍的應用程式都要求至少 iOS 4.3。這會導致什麼問題呢?當你把舊裝置的軟體殺掉,而電腦端又沒有保存 ipa 檔的話,你再也無法安裝適合你的舊程式。

這時一定會有人問,為什麼電腦端會沒有 ipa 檔呢?iTunes 不是會自動下載你已經購買過的應用程式嗎?這就是問題所在,iTunes 的確會自動下載你新購買的軟體,但它也有另外一個功能,就是自動更新你新購買的軟體,或者你不小心手動全部更新所有軟體時,你就會出現「線上」與「電腦」兩端都沒有軟體源的困境。

過去遇到這個問題,你的解決方法就是:「把機器脫手」或者「下載破解版」。其實應該還有第三個選項,就是跟原作者要求檔案,自己再透過 JB 的方式把軟體安裝進去。不過這樣說起來還挺諷刺,我明明就是購買正版,憑甚麼為了安裝舊軟體而那麼窩囊呢?

蘋果怎麼突然讓大家下載舊軟體

我想有一篇文章大家會想先看一下,《Apple 裝置即將升級為 iOS 7,許多之前買過的 app 也要重新付費下載,你會埋單嗎?》。

若 iOS 6 跟 iOS 7 會成為軟體的巨大分水嶺,那麼未來應該也會出現很多「裝置安裝不了新軟體」的狀況,屆時遇到問題的人絕對不會只有我,而是普遍民眾都要面對的問題。既然如此,倒不如在 iOS 7 推出前先把配套措施一起做好,如果未來民眾遇到軟硬體相碰的情況,你不用考慮重新購買新軟/硬體,下載舊版本軟體也是划算的解決方式。

沒有留言: